import base64

original_alph = b"ABCDEFGHIJKLMNOPQRSTUVWXYZ234567"
zbase_alph    = b"ybndrfg8ejkmcpqxot1uwisza345h769"

encode_trans = bytes.maketrans(original_alph, zbase_alph)
decode_trans = bytes.maketrans(zbase_alph, original_alph)

def encode(value):
    encoded = base64.b32encode(value)
    return encoded.translate(encode_trans)
    
def decode(value):
    translated = value.translate(decode_trans)
    return base64.b32decode(translated)
